POST/projects/api/v3/tasks/{taskId}/reminders.json

Adds task reminders

Creates new reminders for a task.

Path Params

  • Name
    taskId
    Type
    integer
    required
    Description

Body Params

Request contains information of a time reminder to be created or updated.

    • Name
      reminder
      Type
      object
      Description
      TimeReminder contains all the information returned from a time reminder.
    • Name
      reminderOptions
      Type
      object
      Description
      RequestOptions holds the request options

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      TaskRemindersResponse contains information about a group of reminders.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    TaskRemindersResponse
    {
      "included": {
        "users": {
          "additionalProp": {
            "avatarUrl": "string",
            "canAccessPortfolio": true,
            "canAddProjects": true,
            "canManagePortfolio": true,
            "company": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "companyId": 0,
            "companyRoleId": 0,
            "createdAt": "string",
            "createdBy": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "deleted": true,
            "email": "string",
            "firstName": "string",
            "id": 0,
            "isAdmin": true,
            "isClientUser": true,
            "isPlaceholderResource": true,
            "isServiceAccount": true,
            "jobRoles": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "lastLogin": "string",
            "lastName": "string",
            "lengthOfDay": 0,
            "meta": {},
            "skills": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "teams": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "timezone": "string",
            "title": "string",
            "type": "string",
            "updatedAt": "string",
            "updatedBy": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "userCost": 0,
            "userRate": 0,
            "userRates": {
              "additionalProp": {
                "amount": 0,
                "currency": {
                  "id": 0,
                  "meta": {},
                  "type": "string"
                }
              }
            },
            "workingHour": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "workingHoursId": 0
          }
        }
      },
      "reminders": [
        {
          "createdAt": "string",
          "createdBy": {
            "id": 0,
            "meta": {},
            "type": "string"
          },
          "id": 0,
          "isRelative": true,
          "note": "string",
          "relativeNumberDays": 0,
          "remindAt": "string",
          "task": {
            "id": 0,
            "meta": {},
            "type": "string"
          },
          "type": "string",
          "user": {
            "id": 0,
            "meta": {},
            "type": "string"
          },
          "wasSent": true
        }
      ]
    }